0

I've installed Apache 2.2 on my Debian-based distr (kernel 3.2.0-27) and apache2.2-common package with default configs.

Trying to run simple script info.php I got the error found in /var/log/apache2/error.log:

[Wed Jul 16 09:17:08 2014] [crit] [client 127.0.0.1] configuration error:  couldn't perform authentication. AuthType not set!: /info.php

I've searched for hours in the internet, but haven't found solution.

Script info.php:

<?php
phpinfo();
?>

Config files:

/etc/apache2/apache2.conf:

...
Include httpd.conf
Include ports.conf
Include conf.d/
Include sites-enabled/
...

/etc/apache2/httpd.conf is clear.

/etc/apache2/ports.conf:

...
NameVirtualHost *:80
Listen 80
...

/etc/apache2/conf.d/security:

...
ServerSignature On
TraceEnable Off
...

/etc/apache2/sites-enabled/@000-default (link to /etc/apache2/sites-available/default):

<VirtualHost *:80>
        ServerAdmin webmaster@localhost

        DocumentRoot /var/www
        <Directory />
                Options FollowSymLinks
                AllowOverride None
        </Directory>
        <Directory /var/www/>
                Options Indexes FollowSymLinks MultiViews
                AllowOverride None
                Order allow,deny
                allow from all
        </Directory>

        ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
        <Directory "/usr/lib/cgi-bin">
                AllowOverride None
                Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
                Order allow,deny
                Allow from all
        </Directory>

        ErrorLog ${APACHE_LOG_DIR}/error.log

        # Possible values include: debug, info, notice, warn, error, crit,
        # alert, emerg.
        LogLevel warn

        CustomLog ${APACHE_LOG_DIR}/access.log combined
</VirtualHost>

List of loaded modules (got by apache2ctl -M):

apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.0.1 for ServerName
Loaded Modules:
 core_module (static)
 authn_file_module (static)
 authn_default_module (static)
 authz_default_module (static)
 log_config_module (static)
 logio_module (static)
 mpm_prefork_module (static)
 http_module (static)
 so_module (static)
 alias_module (shared)
 authz_groupfile_module (shared)
 authz_host_module (shared)
 authz_user_module (shared)
 autoindex_module (shared)
 cgi_module (shared)
 deflate_module (shared)
 dir_module (shared)
 env_module (shared)
 mime_module (shared)
 negotiation_module (shared)
 reqtimeout_module (shared)
 setenvif_module (shared)
 status_module (shared)
Syntax OK

What changes should I make to make server work?

  • The most common problem that seems to cause this error is the directive Require all granted which is only valid in 2.4. I don't see it in the config you have pasted but it could exist in another file. Could you run grep -r Require /etc/apache2/? – Ladadadada Jul 16 '14 at 6:36
  • I'm voting to close this question as off-topic because the poster has clarified that they are using a custom build of apache which renders all solutions moot. Since it can't be replicated or be of any use to others, I see no reason to keep it around. – Jenny D Jul 15 '17 at 11:33
0

Sorry, guys, I've found out that I work not with original Apache but with its custom build in which work without authorization is disabled. Thanks for your comments.

0

I had the same problem, the fix of the configuration file was in my case:

/etc/apache2/mods-enabled/php5.conf:

adding a # to the "Require all granted" line and restarting the web server using service apache2 restart.

That solved the issue for me.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.